Approve Requests

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Example request

curl --location 'https://eu.api.capillarytech.com/v1.1/request/approve' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'accept: application/json' \
--header 'Authorization: Basic Z2VvcmdlmJiY2U=' \
--header 'Cookie: _cfuvid=FgEymYsZYsfUbnGO89C3IkMYh8nVc68sVjhcGSRM9UU-1772455278767-0.0.1.1-604800000; _cfuvid=t.LMvzCP548Jknof7R.KaHEkOeF1nPYif7.0fktppHM-1772453835616-0.0.1.1-604800000' \
--data '{
  "root": {
    "request": [
      {
        "type": "CHANGE_IDENTIFIER",
        "base_type": "MOBILE",
        "id": "32611949",
        "updated_comments": "1 Seems to a valid request. hence approving"
      }
    ]
  }
}
'
curl --location 'https://eu.api.capillarytech.com/v1.1/request/approve' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'accept: application/json' \
--header 'Authorization: Basic Z2VvcmdlLmYmJiY2U=' \
--header 'Cookie: _cfuvid=zP64VTj6GdUFYZ2gjEkFMJ0lr.yGY2xiKhDjAViECSE-1772457459807-0.0.1.1-604800000; _cfuvid=t.LMvzCP548Jknof7R.KaHEkOeF1nPYif7.0fktppHM-1772453835616-0.0.1.1-604800000' \
--data '{
  "root": {
    "request": [
      {
        "type": "GOODWILL",
        "base_type": "POINTS",
        "id": "32628415",
        "points": "30",
        "updated_comments": "Approving 30 points from API"
      }
    ]
  }
}'
 curl --location 'https://eu.api.capillarytech.com/v1.1/request/approve' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'accept: application/json' \
--header 'Authorization: Basic ZGl2eWFfYyZTZm' \
--header 'Cookie: _cfuvid=zP64VTj6GdUFYZ2gjEkFMJ0lr.yGY2xiKhDjAViECSE-1772457459807-0.0.1.1-604800000' \
--data '{
  "root": {
    "request": [  
      {
        "type": "GOODWILL",
        "base_type": "COUPON",
        "id": "32996817",
        "updated_comments": "Approving 5 the coupon from API",
        "series_id": "981965"
      }
    ]
  }
}
'

Request body parameters

ParameterDatatypeMandatoryDescription
id*longyesReference id of the request that you want to approve.
type*enumyesType of request. Value: CHANGE_IDENTIFIER, GOODWILL, TRANSACTION_UPDATE.
base_type*enumyesSub-type of the request. Value: If type=CHANGE_IDENTIFIER, base_type could be MOBILE, EMAIL, EXTERNAL_ID, MERGE, or REALLOCATION.
series_id*stringyesRepresents the coupon series ID and is generated from the create coupon series. The id field in the create coupon series response corresponds to the series_id.

If type=GOODWILL, base_type will be POINTS or COUPON, which is mandatory.

Example response

{
    "response": {
        "status": {
            "success": "true",
            "code": 200,
            "message": "Success"
        },
        "requests": {
            "request": [
                {
                    "id": "32611949",
                    "type": "CHANGE_IDENTIFIER",
                    "base_type": "MOBILE",
                    "status": "APPROVED",
                    "old_value": "1234512345",
                    "new_value": "1234123412",
                    "reason": "",
                    "updated_comments": "1 Seems to a valid request. hence approving",
                    "item_status": {
                        "success": "true",
                        "code": 9000,
                        "message": "Request updated successfully"
                    }
                }
            ]
        }
    }
}
{
    "response": {
        "status": {
            "success": "true",
            "code": 200,
            "message": "Success"
        },
        "requests": {
            "request": [
                {
                    "id": "32628415",
                    "type": "GOODWILL",
                    "base_type": "POINTS",
                    "status": "APPROVED",
                    "approved_value": "30",
                    "assoc_id": "0",
                    "reason": "",
                    "updated_comments": "Approving 30 points from API",
                    "item_status": {
                        "success": "true",
                        "code": 9000,
                        "message": "Request updated successfully"
                    }
                }
            ]
        }
    }
}
{
    "response": {
        "status": {
            "success": "true",
            "code": 200,
            "message": "Success"
        },
        "requests": {
            "request": [
                {
                    "id": "32996817",
                    "type": "GOODWILL",
                    "base_type": "COUPON",
                    "status": "APPROVED",
                    "approved_value": "981965",
                    "assoc_id": "0",
                    "reason": "",
                    "updated_comments": "Approving 5 the coupon from API",
                    "item_status": {
                        "success": "true",
                        "code": 9000,
                        "message": "Request updated successfully"
                    }
                }
            ]
        }
    }
}

Error code

Error codeDescription
9056Same user cannot request and approve
9017Invalid coupon series

Body Params
json
Response

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json